[![Build Status](https://travis-ci.com/Industrial/idTweaks.svg?branch=master)](https://travis-ci.com/Industrial/idTweaks)

# idTweaks
World of Warcraft AddOn. Automates many things with UI Options for each.

Do you have an idea or suggestion? Leave a comment or ticket on github (https://github.com/Industrial/idTweaks).

## Modules

### ActionBar (Default: ON)
![ActionBar](https://raw.githubusercontent.com/Industrial/idTweaks/master/idTweaks.jpg "ActionBar")
- 5 Action Bars plus the Pet Bar.
- Replaces the Blizzard Action Bar.
- Idea: Binding text abbreviated (c1, cs1)
- Idea: Macro text
- Idea: Color the whole button Out of Range and Out of Mana.

### Automation
- Auto Dismount (Default: ON).
- Accept Hearthstone Bind automatically (Default: ON).
- Accept PVP Release automatically (Default: ON).
- Accept Resurrection automatically (Default: ON).
- Accept Summon automatically (Default: ON).
- Sell grey items automatically (Default: ON).
- Repair automatically (and print the cost) (Default: ON).

### BlizzardUI
- Hide the Buffs/Debuffs frame (Default: ON).
- Hide the CastingBar frame (Default: ON).
- Hide the center error messages individually (Default: ON).

### Camera
- Idea: Hold right click for mouse look like normal. Click right and release for toggle mouse look.

### Chat
- Print a small version of loot messages (Default: ON).
- Print a useful XP gain message including reps until next level (Default: ON).
- Reload the interface when typing /rl or /reload (Default: ON).
- Idea: Add a slash command '/idt' and '/idtweaks' that opens the configuration
        dialog with the idTweaks entry folded out and the first category in
        idTweaks selected.

### Mail
- Send the mail when the recipient is filled and the 12th item is selected (Default: ON).

### Minimap
- Mousewheel zooming (Default: ON).
- Hide elements around the minimap (Default: ON).
- Toggle the minimap to be square (Default: ON).
- Move the minimap to the right of the action bars (Default: ON).
- Idea: Add a right click dropdown menu with:
  - All the panels.
  - Tracking:
    - Off
    - Mining
    - Herbalism

### Tooltips
- Anchor the tooltip to one place (Default: Mouse).

### Questing
- Accept quests automatically (Default: ON).
- Complete quests automatically (Default: ON).
- Set an override key to STOP automation (Default: Shift).
